/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.designer.internal.ui.views.attributes.page;

import org.eclipse.birt.report.model.api.ReportItemHandle;
import org.eclipse.birt.report.model.api.elements.ReportDesignConstants;
import org.eclipse.swt.widgets.Composite;

/**
 * Page for extended elements
 */
public class ExtendedItemGeneralPage extends AttributePage
{

    /**
     * Constructor
     * @param parent Parent Composite
     * @param style Style to apply
     */
    public ExtendedItemGeneralPage( Composite parent, int style )
    {
        super( parent, style );
    }

    /* (non-Javadoc)
     * @see org.eclipse.birt.report.designer.internal.ui.views.attributes.page.AttributePage#buildUI()
     */
    protected void buildUI( )
    {
    	setLayout( WidgetUtil.createGridLayout( 5 ) );

		WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.EXTENDED_ITEM,
				ReportItemHandle.NAME_PROP,
				1,
				true );
		
		WidgetUtil.createHorizontalLine(this,5);
    	
		WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.GRID_ITEM,
				ReportItemHandle.WIDTH_PROP,
				1,
				true );

		WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.GRID_ITEM,
				ReportItemHandle.HEIGHT_PROP,
				1,
				true );

		WidgetUtil.createGridPlaceholder( this, 1, true );

		WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.REPORT_ITEM,
				ReportItemHandle.STYLE_PROP,
				1,
				true );

		WidgetUtil.createGridPlaceholder( this, 1, true );

    }

}
